clang-tools 8.0.0

Classes | Public Member Functions | List of all members
clang::clangd::ClangdLSPServer::MessageHandler Class Reference
Inheritance diagram for clang::clangd::ClangdLSPServer::MessageHandler:
[legend]
Collaboration diagram for clang::clangd::ClangdLSPServer::MessageHandler:
[legend]

## Public Member Functions
| MessageHandler (ClangdLSPServer &Server)
bool | onNotify (llvm::StringRef Method, llvm::json::Value Params) override
bool | onCall (llvm::StringRef Method, llvm::json::Value Params, llvm::json::Value ID) override
bool | onReply (llvm::json::Value ID, llvm::Expected< llvm::json::Value > Result) override
template<typename Param , typename Result >
void | bind (const char *Method, void(ClangdLSPServer::*Handler)(const Param &, Callback< Result >))
template<typename Param >
void | bind (const char *Method, void(ClangdLSPServer::*Handler)(const Param &))
Public Member Functions inherited from clang::clangd::Transport::MessageHandler
virtual | ~MessageHandler ()=default

## Detailed Description

Definition at line 67 of file ClangdLSPServer.cpp.

## Constructor & Destructor Documentation

## ◆ MessageHandler()

clang::clangd::ClangdLSPServer::MessageHandler::MessageHandler | ( | ClangdLSPServer & | Server | ) |
| inline

Definition at line 69 of file ClangdLSPServer.cpp.

## Member Function Documentation

## ◆ bind() [1/2]

template<typename Param , typename Result >

void clang::clangd::ClangdLSPServer::MessageHandler::bind | ( | const char * | Method,
|  | void(ClangdLSPServer::*)(const Param &, Callback< Result >) | Handler
| ) |  |
| inline

Definition at line 118 of file ClangdLSPServer.cpp.

References clang::clangd::elog(), clang::clangd::fromJSON(), clang::clangd::InvalidRequest, and clang::clangd::Method.

## ◆ bind() [2/2]

template<typename Param >

void clang::clangd::ClangdLSPServer::MessageHandler::bind | ( | const char * | Method,
|  | void(ClangdLSPServer::*)(const Param &) | Handler
| ) |  |
| inline

Definition at line 135 of file ClangdLSPServer.cpp.

References clang::clangd::elog(), clang::clangd::fromJSON(), and clang::clangd::Method.

## ◆ onCall()

bool clang::clangd::ClangdLSPServer::MessageHandler::onCall | ( | llvm::StringRef | Method,
|  | llvm::json::Value | Params,
|  | llvm::json::Value | ID
| ) |  |
| inline override virtual

Implements clang::clangd::Transport::MessageHandler.

Definition at line 86 of file ClangdLSPServer.cpp.

## ◆ onNotify()

bool clang::clangd::ClangdLSPServer::MessageHandler::onNotify | ( | llvm::StringRef | Method,
|  | llvm::json::Value | Params
| ) |  |
| inline override virtual

Implements clang::clangd::Transport::MessageHandler.

Definition at line 71 of file ClangdLSPServer.cpp.

References clang::clangd::elog(), and clang::clangd::log().

## ◆ onReply()

bool clang::clangd::ClangdLSPServer::MessageHandler::onReply | ( | llvm::json::Value | ID,
|  | llvm::Expected< llvm::json::Value > | Result
| ) |  |
| inline override virtual

Implements clang::clangd::Transport::MessageHandler.

Definition at line 106 of file ClangdLSPServer.cpp.

The documentation for this class was generated from the following file:

- ClangdLSPServer.cpp